<div class="betslip-data">
    <div class="betslip-data-header">
        <h4>{{ 'betslip.betslip-details' | translate }}
            <button class="pull-right btn btn-primary plus-amount" (click)="goBack()">{{ 'betslip.go-back' | translate }}</button>

        </h4>
        <div>
            <ul class="list-inline">
                <li><i class="fa fa-square won" aria-hidden="true"></i> {{ 'betslip.win' | translate }}</li>
                <li><i class="fa fa-square running" aria-hidden="true"></i> {{ 'betslip.running' | translate }}</li>
                <li><i class="fa fa-square lost" aria-hidden="true"></i> {{ 'betslip.lost' | translate }}</li>
                <li><i class="fa fa-check-square" aria-hidden="true"></i> {{ 'betslip.finnished' | translate }}</li>
                <li><i class="fa fa-times-circle" aria-hidden="true"></i> {{ 'betslip.cancel' | translate }} </li>

            </ul>
        </div>
    </div>
    <div class="loader text-center" *ngIf="load">
        <img src="assets/images/spinner.gif" alt="" style="width: 50px;height: 50px;">
    </div>
    <div class="hidden-xs">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>#</th>
                    <th>{{ 'betslip.event' | translate }}</th>
                    <th>{{ 'betslip.odd' | translate }}</th>
                    <th>{{ 'betslip.startdate' | translate }}</th>
                    <th>{{ 'betslip.pick' | translate }}</th>
                    <th>{{ 'betslip.status' | translate }}</th>
                    <th>{{ 'betslip.outcome' | translate }}</th>
                    <th>{{ 'betslip.scores' | translate }}</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let slip of slips; let x=index">
                    <td class="text-center">{{ x + 1 }}</td>
                    <td>{{ slip.name}}</td>
                    <td class="text-center">{{ slip.odd}}</td>
                    <td>{{ slip.scheduled }}</td>
                    <td>{{ slip.pick }}</td>
                    <td class="text-center">
                        <span *ngIf="slip.status"><i class="fa fa-check-square" aria-hidden="true"></i></span>
                        <span *ngIf="!slip.status"><i class="fa fa-square running" aria-hidden="true"></i></span>
                    </td>
                    <td class="text-center">
                        <span *ngIf="slip.won && slip.cancelled == 0"><i class="fa fa-square won" aria-hidden="true"></i></span>
                        <span *ngIf="!slip.won && slip.status && slip.resulted && slip.cancelled == 0"><i class="fa fa-square lost"
                aria-hidden="true"></i></span>
                        <span *ngIf="!slip.won && !slip.status && !slip.resulted && slip.cancelled == 0"><i class="fa fa-square running"
                aria-hidden="true"></i></span>
                        <span *ngIf="slip.cancelled"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                    </td>
                    <td class="text-center">
                        <span *ngIf="slip.scores != null && slip.scores.ft != 'null-null'">{{ slip.scores.ft }}</span>
                    </td>
                </tr>
            </tbody>
        </table>

        <div class="text-center">
            <!-- pager -->
            <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
                <li [ngClass]="{disabled:pager.currentPage === 1}">
                    <a (click)="setPage(1,2)"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === 1}">
                    <a (click)="setPage(pager.currentPage - 1,2)"><i class="fa fa-angle-left" aria-hidden="true"></i></a>
                </li>
                <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                    <a (click)="setPage(page,2)">{{page}}</a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                    <a (click)="setPage(pager.currentPage + 1,2)"><i class="fa fa-angle-right" aria-hidden="true"></i>
          </a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                    <a (click)="setPage(pager.totalPages,2)"><i class="fa fa-angle-double-right" aria-hidden="true"></i>
          </a>
                </li>
            </ul>
        </div>
    </div>
</div>